<?php
defined('BASEPATH') or exit('No direct script access allowed');

/*
Module Name: NeroPAY Payment Gateway
Description: NeroPAY Payment Gateway Integration for Perfex CRM.
Version: 1.0.0
Author: NeroPAY Team
Requires at least: 2.3.*
*/

define('NEROPAY_GATEWAY_MODULE', 'neropay_gateway');


hooks()->add_action('admin_init', 'neropay_gateway_init_menu');
hooks()->add_action('module_neropay_gateway_uninstall', 'neropay_gateway_uninstall');
hooks()->add_action('module_neropay_gateway_activate', 'neropay_gateway_activate');


hooks()->add_filter('before_render_payment_gateways_settings', 'neropay_add_payment_gateway_tab');


// Dikkat: İkinci parametre, ödeme gateway dosyanızdaki sınıf adını (case sensitive) temsil etmelidir.
register_payment_gateway('Neropay_gateway', 'neropay_gateway');

function neropay_add_payment_gateway_tab($tabs) {
    $tabs['online_payments_neropay_tab'] = ['name' => 'NeroPAY'];
    return $tabs;
}

function neropay_gateway_init_menu() {
    $CI = &get_instance();
    if (has_permission('settings', '', 'view')) {
        $CI->app_menu->add_setup_menu_item('neropay_gateway', [
            'name'     => _l('NeroPAY Payment'),
            'href'     => admin_url('settings?group=payment_gateways&tab=online_payments_neropay_tab'),
            'position' => 5,
            'icon'     => 'fa fa-credit-card',
        ]);
    }
}

function neropay_gateway_activate() {
    $CI = &get_instance();
    $CI->db->query("INSERT INTO tblmodules (module_name, active) VALUES ('neropay_gateway', 1) ON DUPLICATE KEY UPDATE active=1;");
}

function neropay_gateway_uninstall() {
    $CI = &get_instance();
    $CI->db->query("DELETE FROM tblmodules WHERE module_name = 'neropay_gateway'");
}
?>
